Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class HyperlinkEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.swing.event.HyperlinkEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HTMLFrameHyperlinkEvent

public class HyperlinkEvent
extends EventObject

HyperlinkEvent is used to notify interested parties that something has happened with respect to a hypertext link.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner Class Summary
`static class` | `HyperlinkEvent.EventType` Defines the ENTERED, EXITED, and ACTIVATED event types, along with their string representations, returned by toString().

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`HyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL u)` Creates a new object representing a hypertext link event.
`HyperlinkEvent(Object source, HyperlinkEvent.EventType type, URL u, String desc)` Creates a new object representing a hypertext link event.

Method Summary
`String` | `getDescription()` Get the description of the link as a string.
`HyperlinkEvent.EventType` | `getEventType()` Gets the type of event.
`URL` | `getURL()` Gets the URL that the link refers to.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HyperlinkEvent

    public HyperlinkEvent(Object source,
                          HyperlinkEvent.EventType type,
                          URL u)

  Creates a new object representing a hypertext link event. The other constructor is preferred, as it provides more information if a URL could not be formed. This constructor is primarily for backward compatibility.
  Parameters:
    `source` - the object responsible for the event
    `type` - the event type
    `u` - the affected URL

### HyperlinkEvent

    public HyperlinkEvent(Object source,
                          HyperlinkEvent.EventType type,
                          URL u,
                          String desc)

  Creates a new object representing a hypertext link event.
  Parameters:
    `source` - the object responsible for the event
    `type` - the event type
    `u` - the affected URL. This may be null if a valid URL could not be created.
    `desc` - the description of the link. This may be useful when attempting to form a URL resulted in a MalformedURLException. The description provides the text used when attempting to form the URL.

Method Detail

### getEventType

    public HyperlinkEvent.EventType getEventType()

  Gets the type of event.
  Returns:
    the type

### getDescription

    public String getDescription()

  Get the description of the link as a string. This may be useful if a URL can't be formed from the description, in which case the associated URL would be null.

### getURL

    public URL getURL()

  Gets the URL that the link refers to.
  Returns:
    the URL

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.